Loading...
Searching...
No Matches
Opm::ConstantCompressibilityOilPvt< Scalar > Class Template Reference

This class represents the Pressure-Volume-Temperature relations of the oil phase without dissolved gas and constant compressibility/"viscosibility". More...

`#include <ConstantCompressibilityOilPvt.hpp>`

## Public Member Functions

void | setNumRegions (std::size_t numRegions)
void | setVapPars (const Scalar, const Scalar)
void | setReferenceDensities (unsigned regionIdx, Scalar rhoRefOil, Scalar, Scalar)
| Initialize the reference densities of all fluids for a given PVT region.
void | setViscosity (unsigned regionIdx, Scalar muo, Scalar oilViscosibility=0.0)
| Set the viscosity and "viscosibility" of the oil phase.
void | setCompressibility (unsigned regionIdx, Scalar oilCompressibility)
| Set the compressibility of the oil phase.
void | setReferencePressure (unsigned regionIdx, Scalar p)
| Set the oil reference pressure [Pa].
void | setReferenceFormationVolumeFactor (unsigned regionIdx, Scalar BoRef)
| Set the oil reference formation volume factor [-].
void | setViscosibility (unsigned regionIdx, Scalar muComp)
| Set the oil "viscosibility" [1/ (Pa s)].
void | initEnd ()
| Finish initializing the oil phase PVT properties.
unsigned | numRegions () const
| Return the number of PVT regions which are considered by this PVT-object.
template<class Evaluation>
Evaluation | internalEnergy (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the specific enthalpy [J/kg] of oil given a set of parameters.
Scalar | hVap (unsigned) const
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &) const
| Returns the dynamic viscosity [Pa s] of gas saturated oil given a pressure and a phase composition.
template<class Evaluation>
Evaluation | saturatedViscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure) const
| Returns the dynamic viscosity [Pa s] of gas saturated oil given a pressure.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &) const
| Returns the formation volume factor [-] of the fluid phase.
template<class FluidState, class LhsEval = typename FluidState::Scalar>
std::pair< LhsEval, LhsEval > | inverseFormationVolumeFactorAndViscosity (const FluidState &fluidState, unsigned regionIdx)
| Returns the formation volume factor [-] and viscosity [Pa s] of the fluid phase.
template<class Evaluation>
Evaluation | saturatedInverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &, const Evaluation &pressure) const
| Returns the formation volume factor [-] of gas saturated oil.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned, const Evaluation &, const Evaluation &) const
| Returns the gas dissolution factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned, const Evaluation &, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the gas dissolution factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &) const
| Returns the saturation pressure of the oil phase [Pa] depending on its mass fraction of the gas component.
template<class Evaluation>
Evaluation | diffusionCoefficient (const Evaluation &, const Evaluation &, unsigned) const
Scalar | oilReferenceDensity (unsigned regionIdx) const
const std::vector< Scalar > & | oilReferenceFormationVolumeFactor () const
const std::vector< Scalar > & | oilCompressibility () const
const std::vector< Scalar > & | oilViscosity () const
const std::vector< Scalar > & | oilViscosibility () const

## Detailed Description

template<class Scalar>
class Opm::ConstantCompressibilityOilPvt< Scalar >

This class represents the Pressure-Volume-Temperature relations of the oil phase without dissolved gas and constant compressibility/"viscosibility".

## Member Function Documentation

## saturatedInverseFormationVolumeFactor()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::ConstantCompressibilityOilPvt< Scalar >::saturatedInverseFormationVolumeFactor | ( | unsigned | regionIdx,
|  | const Evaluation & | ,
|  | const Evaluation & | pressure ) const

inline

Returns the formation volume factor [-] of gas saturated oil.

Note that constant compressibility oil is a special case of dead oil and dead oil is always gas saturated by by definition.

## saturationPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::ConstantCompressibilityOilPvt< Scalar >::saturationPressure | ( | unsigned | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ) const

inline

Returns the saturation pressure of the oil phase [Pa] depending on its mass fraction of the gas component.

Parameters

  Rs | The surface volume of gas component dissolved in what will yield one cubic meter of oil at the surface [-]

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/blackoilpvt/ConstantCompressibilityOilPvt.hpp
- opm/material/fluidsystems/blackoilpvt/ConstantCompressibilityOilPvt.cpp